Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] problem in installation
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2012-05-08 07:15:14


Looks like your PGI compiler installation may be busted.

Can you compile non-MPI applications with it?

It looks like you have PGI 10.x. Try upgrading to the latest version of the PGI 10.x series (i.e., get all the relevant PGI compiler bug fixes).

On May 8, 2012, at 6:43 AM, ahmed lasheen wrote:

> Thanks
> I put cc and cxx ,But I also get the following errors
> PGC/x86-64 Linux 10.0-0: compilation completed with severe errors
> make[3]: *** [keyval_lex.lo] Error 1
>
> I have attached the configure and make output.
> thanks in advance.
>
> On Tue, May 8, 2012 at 2:54 AM, Jeff Squyres (jsquyres) <jsquyres_at_[hidden]> wrote:
> On May 7, 2012, at 8:32 AM, ahmed lasheen wrote:
>
> > In installation I used the following command
> > ./configure --prefix=/usr/local/open_mpi_pgi/ F77=pgf77 FC=pgf90 ;
>
> Try also listing CC=pgcc and CXX=pgCC.
>
> --
> Jeff Squyres
> jsquyres_at_[hidden]
> For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/
>
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users
>
>
>
> --
> ===============
> Ahmed Lasheen
> Junior researcher at Cairo Numerical Weather Prediction Center (CNWPC)
> Egyptian Meteorological Authority(EMA)
> Cairo,Egypt
> ===============
>
> <conf.out><make.out>_______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to: http://www.cisco.com/web/about/doing_business/legal/cri/